view lifecycle environments permisisons need to be handled better
05/12/2014 08:46 PM - Partha Aji
Assignee: Partha Aji

Category:

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Some of the cases that need to be fixed

Given view on a particular environment,

1) The v2/environments index call needs to only return that environment

2) The v2/paths call needs to return a list of all environments in that path with a permissions marking the environments readable or
not.

3) Ul in the activations keys/promotions/environments page needs to use that readable flag and based on that disable viewing of the
details of that environment.

4) Hammer paths command needs to also make use of this information and display information appropriately.

Related issues:
Related to Katello - Feature #5217: As a user, | should have CRUD permissions... Closed 04/16/2014

Associated revisions

Revision a8ed4abc2 - 05/15/2014 05:00 PM - Partha Aji

Fixes #5682 - Handle Lifecycle env read perms better

1) Made env index call prune the return list based on read perms

2) Made the env page in the Ul display paths appropriately based on read
perms

3) Updated the create env call to require read access on the prior
environment before one can create.

Revision 6790773a - 05/15/2014 09:00 PM - Partha Aji

Fixes #5682 - Handle Lifecycle env read perms better

1) Made env index call prune the return list based on read perms

2) Made the env page in the Ul display paths appropriately based on read
perms

3) Updated the create env call to require read access on the prior
environment before one can create.

Revision 5a90c08c - 05/16/2014 10:43 AM - Partha Aji
Merge pull request #4102 from parthaa/env-read

Fixes #5682 - Handle Lifecycle env read perms better
Revision c9b2ccf3 - 05/16/2014 02:43 PM - Partha Aji
Merge pull request #4102 from parthaa/env-read

Fixes #5682 - Handle Lifecycle env read perms better

History

#1 - 05/12/2014 08:48 PM - Partha Aji

- Related to Feature #5217: As a user, | should have CRUD permissions for all entities that are exposed to me. added

05/17/2024 1/2




#2 - 05/12/2014 08:48 PM - Partha Aji
- Assignee set to Partha Aji

#3 - 05/16/2014 02:52 PM - Partha Aji
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:6790773af5ec123ffaa9a0c59d570257a1f80d94.

#4 - 05/27/2014 05:10 PM - Eric Helms

- Target version set to 44

#5 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#6 - 08/22/2014 08:23 AM - Eric Helms

- translation missing: en.field_release set to 13
